__gnu_pbds::detail::pat_trie_base(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base - Base type for PATRICIA trees.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherited by __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >.

  Classes

class _CIter
Const iterator.
struct _Head
Head node for PATRICIA tree.
struct _Inode
Internal node type, PATRICIA tree.
class _Iter
Iterator.
struct _Leaf
Leaf node for PATRICIA tree.
struct _Metadata
Metadata base primary template.
struct _Metadata< null_type, _Alloc >
Specialization for null metadata.
struct _Node_base
Node base.
class _Node_citer
Node const iterator.
class _Node_iter
Node iterator.

  Public Types

enum node_type { i_node, leaf_node, head_node }
Three types of nodes.

Detailed Description

Base type for PATRICIA trees.

Definition at line 51 of file pat_trie_base.hpp.

Member Enumeration Documentation

  enum __gnu_pbds::detail::pat_trie_base::node_type

Three types of nodes. i_node is used by _Inode, leaf_node by _Leaf, and head_node by _Head.

Definition at line 58 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.